This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 446157 - RuntimeError when make partition in install process.
RuntimeError when make partition in install process.
Status: CLOSED NEXTRELEASE
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: anaconda (Show other bugs)
5.2
ppc64 Linux
low Severity low
: rc
: ---
Assigned To: Anaconda Maintenance Team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-13 00:14 EDT by Jinbing Guo
Modified: 2008-12-03 19:02 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-12-03 19:02:20 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
snapshot of the exception (2.65 KB, application/octet-stream)
2008-05-13 00:18 EDT, Jinbing Guo
no flags Details
napshot of the exception (2.65 KB, text/plain)
2008-05-13 00:21 EDT, Jinbing Guo
no flags Details

  None (edit)
Description Jinbing Guo 2008-05-13 00:14:58 EDT
Description of problem:
To install RHEL 5.2 snapshot7 to a PPC machine, on partition page check the
partition table of the hard disk and an unhandled exception has occurred. 

Traceback (most recent call first):                                             

  File "/usr/lib/anaconda/textw/partition_text.py", line 954, in
editPartitionRequest

    raise RuntimeError, "Returning partitions to state prior to edit failed"

  File "/usr/lib/anaconda/textw/partition_text.py", line 1409, in editCb

    self.editPartitionRequest(request)

  File "/usr/lib/anaconda/textw/partition_text.py", line 1469, in __call__

    self.editCb()

  File "/usr/lib/anaconda/text.py", line 565, in run

    rc = win(self.screen, instance)

  File "/usr/bin/anaconda", line 982, in ?

    anaconda.intf.run(anaconda)

RuntimeError: Returning partitions to state prior to edit failed


Version-Release number of selected component (if applicable):


How reproducible:
once


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Jinbing Guo 2008-05-13 00:18:11 EDT
Created attachment 305201 [details]
snapshot of the exception
Comment 2 Jinbing Guo 2008-05-13 00:21:23 EDT
Created attachment 305202 [details]
napshot of the exception
Comment 3 Chris Lumens 2008-11-21 14:12:09 EST
Is this still a problem in 5.3 snapshot 3?
Comment 4 Jinbing Guo 2008-12-02 18:36:22 EST
(In reply to comment #3)
> Is this still a problem in 5.3 snapshot 3?

No, just produced this bug once on RHEL5.2
Comment 5 Chris Lumens 2008-12-03 10:11:32 EST
Then can we go ahead and close this one out as NEXTRELEASE?
Comment 6 Jinbing Guo 2008-12-03 18:45:44 EST
Sure, please close this bug.

Note You need to log in before you can comment on or make changes to this bug.